Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.seq
Class SimpleFastaSequence

    java.lang.Object
      calhoun.seq.SimpleFastaSequence

All Implemented Interfaces:
  FastaSequence, java.io.Serializable

Direct Known Subclasses:
  FastaIterator.ReaderSequence

    public class SimpleFastaSequence

extends java.lang.Object
implements FastaSequence, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`SimpleFastaSequence()`
`SimpleFastaSequence(java.lang.String header, java.lang.String sequence)`

Method Summary
`java.lang.String` | `getHeader()` Gets the fasta header (with leading and trailing spaces trimmed)
`int` | `getLength()` The number of sequence characters
`byte[]` | `getQuality()` Returns the quality scores for this sequence.
`java.lang.String` | `getSequence()` Returns the entire sequence.
`java.lang.String` | `getSequence(int start, int stop)` Returns a portions of the sequence.
`boolean` | `hasQuality()`
`boolean` | `hasSequence()`
`void` | `setHeader(java.lang.String s)`
`void` | `setQuality(byte[] q)`
`void` | `setSequence(java.lang.String s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFastaSequence

    public SimpleFastaSequence()

### SimpleFastaSequence

    public SimpleFastaSequence(java.lang.String header,
                               java.lang.String sequence)

Method Detail

### setHeader

    public void setHeader(java.lang.String s)

### setSequence

    public void setSequence(java.lang.String s)

### getHeader

    public java.lang.String getHeader()

  Description copied from interface: `FastaSequence`
  Gets the fasta header (with leading and trailing spaces trimmed)

  Specified by:
    `getHeader` in interface `FastaSequence`

### hasSequence

    public boolean hasSequence()

### hasQuality

    public boolean hasQuality()

### getSequence

    public java.lang.String getSequence()

  Description copied from interface: `FastaSequence`
  Returns the entire sequence.

  Specified by:
    `getSequence` in interface `FastaSequence`

### getSequence

    public java.lang.String getSequence(int start,
                                        int stop)

  Description copied from interface: `FastaSequence`
  Returns a portions of the sequence.

  Specified by:
    `getSequence` in interface `FastaSequence`
  Parameters:
    `start` - 1-based index of the first character to return. Can be from 1 to the length of the sequence.
    `stop` - 1-based index of the last charater to return. Can be from 1 to the length of the sequence.

### getLength

    public int getLength()

  Description copied from interface: `FastaSequence`
  The number of sequence characters

  Specified by:
    `getLength` in interface `FastaSequence`

### getQuality

    public byte[] getQuality()

  Description copied from interface: `FastaSequence`
  Returns the quality scores for this sequence. May be null if no quality is present.

  Specified by:
    `getQuality` in interface `FastaSequence`

### setQuality

    public void setQuality(byte[] q)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD